Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa.v200408
Class AddressingXmlHelper

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.v200408.AddressingXmlHelper

    public class AddressingXmlHelper

extends Object

Helper class for WS-A XML intricacies.

Constructor Summary
`AddressingXmlHelper()`

Method Summary
`static javax.xml.soap.SOAPElement` | `createActionSOAPElement(String action)`
`static javax.xml.soap.SOAPElement` | `createEprWithTargetReferenceParameter(String eprLocalElementName, String eprElementPrefix, String eprElementNamespace, String addressValue, String targetRefPropValue)`
`static javax.xml.soap.SOAPElement` | `createFromSOAPElement(String fromUri)`
`static javax.xml.soap.SOAPElement` | `createMessageIdSOAPElement(String msgId)`
`static javax.xml.soap.SOAPElement` | `createReferenceParameters(String targetRefParValue)`
`static javax.xml.soap.SOAPElement` | `createReferenceParametersFromListOfAny(List<Object> any)`
`static javax.xml.soap.SOAPElement` | `createReferenceProperties(String targetRefPropValue)`
`static javax.xml.soap.SOAPElement` | `createReferencePropertiesFromListOfAny(List<Object> any)`
`static javax.xml.soap.SOAPElement` | `createRelatesToSOAPElement(String relatesTo)`
`static javax.xml.soap.SOAPElement` | `createSOAPElement(String localName, String nsPrefix, String nsUri, String value)`
`static javax.xml.soap.SOAPElement` | `createTargetReferenceParameter(String targetRefParameterValue)`
`static Element` | `createTargetReferencePropertyAsDomElement(String value)`
`static javax.xml.soap.SOAPElement` | `createToSOAPElement(String to)`
`static javax.xml.soap.SOAPElement` | `readFromInputStreamAndUnwrapFromSoapMessage(InputStream in)`
`static String` | `toString(javax.xml.soap.SOAPElement replyToEPR)`
`static void` | `wrapIntoSoapMessageAndWriteToStream(javax.xml.soap.SOAPElement element, OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingXmlHelper

    public AddressingXmlHelper()

Method Detail

### createTargetReferenceParameter

    public static javax.xml.soap.SOAPElement createTargetReferenceParameter(String targetRefParameterValue)
                                                                     throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createEprWithTargetReferenceParameter

    public static javax.xml.soap.SOAPElement createEprWithTargetReferenceParameter(String eprLocalElementName,
                                                                                   String eprElementPrefix,
                                                                                   String eprElementNamespace,
                                                                                   String addressValue,
                                                                                   String targetRefPropValue)
                                                                            throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createReferencePropertiesFromListOfAny

    public static javax.xml.soap.SOAPElement createReferencePropertiesFromListOfAny(List<Object> any)
                                                                             throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### toString

    public static String toString(javax.xml.soap.SOAPElement replyToEPR)

### createReferenceProperties

    public static javax.xml.soap.SOAPElement createReferenceProperties(String targetRefPropValue)
                                                                throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createReferenceParameters

    public static javax.xml.soap.SOAPElement createReferenceParameters(String targetRefParValue)
                                                                throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### wrapIntoSoapMessageAndWriteToStream

    public static void wrapIntoSoapMessageAndWriteToStream(javax.xml.soap.SOAPElement element,
                                                           OutputStream out)
                                                    throws javax.xml.soap.SOAPException,
                                                           IOException

  Throws:
    `javax.xml.soap.SOAPException`
    `IOException`

### readFromInputStreamAndUnwrapFromSoapMessage

    public static javax.xml.soap.SOAPElement readFromInputStreamAndUnwrapFromSoapMessage(InputStream in)
                                                                                  throws IOException,
                                                                                         javax.xml.soap.SOAPException

  Throws:
    `IOException`
    `javax.xml.soap.SOAPException`

### createSOAPElement

    public static javax.xml.soap.SOAPElement createSOAPElement(String localName,
                                                               String nsPrefix,
                                                               String nsUri,
                                                               String value)
                                                        throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createFromSOAPElement

    public static javax.xml.soap.SOAPElement createFromSOAPElement(String fromUri)
                                                            throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createToSOAPElement

    public static javax.xml.soap.SOAPElement createToSOAPElement(String to)
                                                          throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createActionSOAPElement

    public static javax.xml.soap.SOAPElement createActionSOAPElement(String action)
                                                              throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createMessageIdSOAPElement

    public static javax.xml.soap.SOAPElement createMessageIdSOAPElement(String msgId)
                                                                 throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createRelatesToSOAPElement

    public static javax.xml.soap.SOAPElement createRelatesToSOAPElement(String relatesTo)
                                                                 throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### createTargetReferencePropertyAsDomElement

    public static Element createTargetReferencePropertyAsDomElement(String value)

### createReferenceParametersFromListOfAny

    public static javax.xml.soap.SOAPElement createReferenceParametersFromListOfAny(List<Object> any)
                                                                             throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.